<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.13"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>eicd: src/ReconstructedParticleCollection.cc File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">eicd
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.13 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_68267d1309a1af8e8297ef4c3efbcdba.html">src</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#namespaces">Namespaces</a> &#124;
<a href="#func-members">Functions</a>  </div>
  <div class="headertitle">
<div class="title">ReconstructedParticleCollection.cc File Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="textblock"><code>#include &quot;<a class="el" href="_reconstructed_particle_collection_8h_source.html">eicd/ReconstructedParticleCollection.h</a>&quot;</code><br />
<code>#include &quot;<a class="el" href="_cluster_collection_8h_source.html">eicd/ClusterCollection.h</a>&quot;</code><br />
<code>#include &quot;<a class="el" href="_track_collection_8h_source.html">eicd/TrackCollection.h</a>&quot;</code><br />
<code>#include &quot;<a class="el" href="_vertex_collection_8h_source.html">eicd/VertexCollection.h</a>&quot;</code><br />
<code>#include &lt;stdexcept&gt;</code><br />
<code>#include &lt;iomanip&gt;</code><br />
</div><div class="textblock"><div class="dynheader">
Include dependency graph for ReconstructedParticleCollection.cc:</div>
<div class="dyncontent">
<div class="center"><img src="_reconstructed_particle_collection_8cc__incl.png" border="0" usemap="#src_2_reconstructed_particle_collection_8cc" alt=""/></div>
<map name="src_2_reconstructed_particle_collection_8cc" id="src_2_reconstructed_particle_collection_8cc">
<area shape="rect" id="node2" href="_reconstructed_particle_collection_8h.html" title="eicd/ReconstructedParticle\lCollection.h" alt="" coords="1895,95,2073,136"/>
<area shape="rect" id="node40" href="_cluster_collection_8h.html" title="eicd/ClusterCollection.h" alt="" coords="2179,355,2341,382"/>
<area shape="rect" id="node41" href="_track_collection_8h.html" title="eicd/TrackCollection.h" alt="" coords="1693,355,1845,382"/>
<area shape="rect" id="node42" href="_vertex_collection_8h.html" title="eicd/VertexCollection.h" alt="" coords="2597,355,2755,382"/>
<area shape="rect" id="node3" href="_reconstructed_particle_data_8h.html" title="eicd/ReconstructedParticle\lData.h" alt="" coords="43,437,221,479"/>
<area shape="rect" id="node5" href="_reconstructed_particle_8h.html" title="eicd/ReconstructedParticle.h" alt="" coords="1083,184,1274,211"/>
<area shape="rect" id="node7" href="_reconstructed_particle_obj_8h.html" title="eicd/ReconstructedParticle\lObj.h" alt="" coords="1255,348,1433,389"/>
<area shape="rect" id="node6" href="_reconstructed_particle_const_8h.html" title="eicd/ReconstructedParticle\lConst.h" alt="" coords="1027,259,1205,300"/>
<area shape="rect" id="node8" href="_cluster_8h.html" title="eicd/Cluster.h" alt="" coords="1559,445,1662,471"/>
<area shape="rect" id="node22" href="_track_8h.html" title="eicd/Track.h" alt="" coords="950,445,1045,471"/>
<area shape="rect" id="node9" href="_cluster_const_8h.html" title="eicd/ClusterConst.h" alt="" coords="1803,527,1941,553"/>
<area shape="rect" id="node10" href="_cluster_obj_8h.html" title="eicd/ClusterObj.h" alt="" coords="1913,601,2036,628"/>
<area shape="rect" id="node12" href="_calorimeter_hit_8h.html" title="eicd/CalorimeterHit.h" alt="" coords="2049,676,2194,703"/>
<area shape="rect" id="node11" href="_cluster_data_8h.html" title="eicd/ClusterData.h" alt="" coords="1893,676,2024,703"/>
<area shape="rect" id="node13" href="_calorimeter_hit_const_8h.html" title="eicd/CalorimeterHitConst.h" alt="" coords="2031,751,2211,777"/>
<area shape="rect" id="node14" href="_calorimeter_hit_obj_8h.html" title="eicd/CalorimeterHitObj.h" alt="" coords="1933,825,2099,852"/>
<area shape="rect" id="node16" href="_vector_x_y_z_8h.html" title="eicd/VectorXYZ.h" alt="" coords="2187,975,2312,1001"/>
<area shape="rect" id="node15" href="_calorimeter_hit_data_8h.html" title="eicd/CalorimeterHitData.h" alt="" coords="1933,900,2107,927"/>
<area shape="rect" id="node23" href="_track_const_8h.html" title="eicd/TrackConst.h" alt="" coords="847,527,977,553"/>
<area shape="rect" id="node24" href="_track_obj_8h.html" title="eicd/TrackObj.h" alt="" coords="761,601,876,628"/>
<area shape="rect" id="node26" href="_track_state_8h.html" title="eicd/TrackState.h" alt="" coords="561,676,687,703"/>
<area shape="rect" id="node30" href="_tracker_hit_8h.html" title="eicd/TrackerHit.h" alt="" coords="852,676,975,703"/>
<area shape="rect" id="node25" href="_track_data_8h.html" title="eicd/TrackData.h" alt="" coords="412,676,535,703"/>
<area shape="rect" id="node27" href="_track_state_const_8h.html" title="eicd/TrackStateConst.h" alt="" coords="549,751,709,777"/>
<area shape="rect" id="node28" href="_track_state_obj_8h.html" title="eicd/TrackStateObj.h" alt="" coords="558,825,703,852"/>
<area shape="rect" id="node29" href="_track_state_data_8h.html" title="eicd/TrackStateData.h" alt="" coords="555,900,709,927"/>
<area shape="rect" id="node31" href="_tracker_hit_const_8h.html" title="eicd/TrackerHitConst.h" alt="" coords="835,751,992,777"/>
<area shape="rect" id="node32" href="_tracker_hit_obj_8h.html" title="eicd/TrackerHitObj.h" alt="" coords="1003,825,1146,852"/>
<area shape="rect" id="node33" href="_tracker_hit_data_8h.html" title="eicd/TrackerHitData.h" alt="" coords="959,900,1110,927"/>
<area shape="rect" id="node43" href="_vertex_data_8h.html" title="eicd/VertexData.h" alt="" coords="2802,900,2929,927"/>
<area shape="rect" id="node45" href="_vertex_8h.html" title="eicd/Vertex.h" alt="" coords="2675,676,2773,703"/>
<area shape="rect" id="node47" href="_vertex_obj_8h.html" title="eicd/VertexObj.h" alt="" coords="2607,825,2726,852"/>
<area shape="rect" id="node44" href="_vector_x_y_z_t_8h.html" title="eicd/VectorXYZT.h" alt="" coords="2671,975,2804,1001"/>
<area shape="rect" id="node46" href="_vertex_const_8h.html" title="eicd/VertexConst.h" alt="" coords="2541,751,2675,777"/>
</map>
</div>
</div>
<p><a href="_reconstructed_particle_collection_8cc_source.html">Go to the source code of this file.</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="namespaces"></a>
Namespaces</h2></td></tr>
<tr class="memitem:namespaceeic"><td class="memItemLeft" align="right" valign="top"> &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceeic.html">eic</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:a9c23bcadd6b3382ed93e4d55d7660b96"><td class="memItemLeft" align="right" valign="top">std::ostream &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceeic.html#a9c23bcadd6b3382ed93e4d55d7660b96">eic::operator&lt;&lt;</a> (std::ostream &amp;o, const ReconstructedParticleCollection &amp;v)</td></tr>
<tr class="separator:a9c23bcadd6b3382ed93e4d55d7660b96"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.13
</small></address>
</body>
</html>
